jsonData = { "docs": [
{ "a": "OKVAGidm139852664651424", "t": "Oracle\u00AE Key Vault Administrator's Guide", "h": "toc.htm", 
 "c": [{ "a": "OKVAGidm139852663320256", "t": "Preface", "h": "preface.htm#OKVAG10483" },
{ "a": "OKVAGidm139852663751008", "t": "What's New in Oracle Key Vault 12.2", "h": "release_changes.htm#OKVAG10900" },
{ "a": "OKVAGidm139852663136768", "t": "Introduction to Oracle Key Vault", "h": "okv_intro.htm#OKVAG10489", 
 "c": [ { "t": "About Oracle Key Vault and Key Management", "h": "okv_intro.htm#OKVAG10490" },
 { "t": "Benefits of Using Oracle Key Vault", "h": "okv_intro.htm#OKVAG10501" },
 { "t": "Who Should Use Oracle Key Vault?", "h": "okv_intro.htm#OKVAG10502" },
{ "a": "OKVAGidm139852663259760", "t": "Major Features of Oracle Key Vault", "h": "okv_intro.htm#OKVAG10625", 
 "c": [ { "t": "Centralized Storage and Management of Security Objects", "h": "okv_intro.htm#OKVAG10722" },
 { "t": "Management of Key Lifecycle", "h": "okv_intro.htm#OKVAG10507" },
 { "t": "Reporting and Alerts", "h": "okv_intro.htm#OKVAG10723" },
 { "t": "Separation of Duties for Oracle Key Vault Users", "h": "okv_intro.htm#OKVAG10724" },
 { "t": "Support for a High Availability Environment", "h": "okv_intro.htm#OKVAG10520" },
 { "t": "Persistent Master Key Cache", "h": "okv_intro.htm#OKVAG-GUID-F011F91F-B69D-4698-9B6C-C2C85D444A01" },
 { "t": "Backup and Restore Functionality for Security Objects", "h": "okv_intro.htm#OKVAG10626" },
 { "t": "Automation of Endpoint Enrollment Using Protected RESTful Services", "h": "okv_intro.htm#OKVAG11185" },
 { "t": "Support for OASIS Key Management Interoperability Protocol (KMIP)", "h": "okv_intro.htm#OKVAG-GUID-0D6D0C14-CBC5-49B6-AEDE-B9206CE6AE61" },
 { "t": "Database Version and Platform Support", "h": "okv_intro.htm#OKVAG10725" },
 { "t": "Integration with External Audit and Monitoring Services", "h": "okv_intro.htm#OKVAG11186" },
 { "t": "MySQL Integration with Oracle Key Vault", "h": "okv_intro.htm#OKVAG-GUID-8273A475-A60F-44AF-9BBD-63838BFDDE94" },
 { }
 ]
 },
 { "t": "Oracle Key Vault Interfaces", "h": "okv_intro.htm#OKVAG10492" },
 { "t": "Overview of a Successful Oracle Key Vault Deployment", "h": "okv_intro.htm#OKVAG10727" },
 { }
 ]
 },
{ "a": "OKVAGidm139852663406736", "t": "Oracle Key Vault Concepts", "h": "okv_concepts.htm#OKVAG10627", 
 "c": [ { "t": "Overview of Oracle Key Vault Concepts", "h": "okv_concepts.htm#OKVAG10628" },
 { "t": "Oracle Key Vault Deployment Architecture", "h": "okv_concepts.htm#OKVAG10629" },
{ "a": "OKVAGidm139852663272320", "t": "Oracle Key Vault Use Cases", "h": "okv_concepts.htm#OKVAG10634", 
 "c": [ { "t": "Centralized Storage of Oracle Wallet Files and Java Keystores", "h": "okv_concepts.htm#OKVAG10637" },
 { "t": "Centralized Management of TDE Master Keys Using Online Master Key", "h": "okv_concepts.htm#OKVAG10639" },
 { "t": "Storage of Credential Files", "h": "okv_concepts.htm#OKVAG10635" },
 { }
 ]
 },
{ "a": "OKVAGidm139852663872992", "t": "Access Control Configuration", "h": "okv_concepts.htm#OKVAG10522", 
 "c": [ { "t": "About Access Control Configuration", "h": "okv_concepts.htm#OKVAG-GUID-1923BA14-4B48-4FDC-AAE6-FDADF176B82D" },
 { "t": "Access Grants", "h": "okv_concepts.htm#OKVAG10729" },
 { "t": "Access Control Options", "h": "okv_concepts.htm#OKVAG10728" },
 { }
 ]
 },
{ "a": "OKVAGidm139852662961344", "t": "Administrative Roles within Oracle Key Vault", "h": "okv_concepts.htm#OKVAG10632", 
 "c": [ { "t": "About Administrative Roles in Oracle Key Vault", "h": "okv_concepts.htm#OKVAG10929" },
 { "t": "Separation of Duties", "h": "okv_concepts.htm#OKVAG10731" },
 { "t": "Overview of Administrative Roles", "h": "okv_concepts.htm#OKVAG10732" },
 { "t": "Emergency System Recovery Process", "h": "okv_concepts.htm#OKVAG10733" },
 { }
 ]
 },
 { "t": "Endpoint Administrators", "h": "okv_concepts.htm#OKVAG10633" },
 { }
 ]
 },
{ "a": "OKVAGidm139852663249088", "t": "Oracle Key Vault Installation and Configuration", "h": "okv_install.htm#OKVAG10641", 
 "c": [{ "a": "OKVAGidm139852663793456", "t": "Oracle Key Vault Installation Requirements", "h": "okv_install.htm#OKVAG10642", 
 "c": [ { "t": "System Requirements", "h": "okv_install.htm#OKVAG10496" },
 { "t": "Network Ports", "h": "okv_install.htm#OKVAG10903" },
 { "t": "Supported Endpoint Platforms", "h": "okv_install.htm#OKVAG10497" },
 { "t": "Endpoint Database Requirements", "h": "okv_install.htm#OKVAG10644" },
 { }
 ]
 },
{ "a": "OKVAGidm139852663233040", "t": "Installing and Configuring Oracle Key Vault 12.2.0.5.0 and Later", "h": "okv_install.htm#OKVAG-GUID-B76E3BEE-4E02-435A-9BEA-4AC8519A8B37", 
 "c": [ { "t": "Downloading the Oracle Key Vault Appliance Software", "h": "okv_install.htm#OKVAG-GUID-7A1C09C0-B2D0-4A13-8C81-CE82CDA146E7" },
 { "t": "Installing the Oracle Key Vault Appliance Software", "h": "okv_install.htm#OKVAG10738" },
 { "t": "Performing Post-Installation Tasks", "h": "okv_install.htm#OKVAG-GUID-4F8CEAB5-9517-44E1-8367-B5DF4C6A8142" },
 { }
 ]
 },
 { "t": "Logging In to the Oracle Key Vault Management Console", "h": "okv_install.htm#OKVAG10740" },
 { "t": "Overview of the Management Console", "h": "okv_install.htm#OKVAG10645" },
{ "a": "OKVAGidm139852663900128", "t": "Performing Actions and Searches", "h": "okv_install.htm#OKVAG10523", 
 "c": [ { "t": "Actions Menus", "h": "okv_install.htm#OKVAG10524" },
 { "t": "Search Bars", "h": "okv_install.htm#OKVAG10525" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852663709248", "t": "High Availability, Backup and Restore Operations", "h": "okv_ha_backup.htm#OKVAG10741", 
 "c": [ { "t": "Why High Availability?", "h": "okv_ha_backup.htm#OKVAG11200" },
{ "a": "OKVAGidm139852663922576", "t": "About High Availability for Oracle Key Vault", "h": "okv_ha_backup.htm#OKVAG10671", 
 "c": [ { "t": "How High Availability for Oracle Key Vault Works", "h": "okv_ha_backup.htm#OKVAG-GUID-30A4D736-908A-4B7A-A4A9-769E364F81D3" },
 { "t": "Configuring High Availability", "h": "okv_ha_backup.htm#OKVAG-GUID-5CD87FAA-485E-42E7-BA79-CD17218CE380" },
 { "t": "Switching Primary and Standby Servers", "h": "okv_ha_backup.htm#OKVAG10672" },
 { "t": "Restoring High Availability After a Failover", "h": "okv_ha_backup.htm#OKVAG10744" },
 { "t": "Disabling High Availability", "h": "okv_ha_backup.htm#OKVAG10745" },
 { "t": "High Availability Read-Only Restricted Mode", "h": "okv_ha_backup.htm#OKVAG-GUID-E84C35B4-6D63-4415-815C-1089E0C60A37" },
 { }
 ]
 },
{ "a": "OKVAGidm139852690933856", "t": "Backup and Restore Oracle Key Vault Data", "h": "okv_ha_backup.htm#OKVAG10746", 
 "c": [ { "t": "About Backing Up and Restoring Data in Key Vault", "h": "okv_ha_backup.htm#OKVAG10747" },
 { "t": "Backing Up Key Vault Data", "h": "okv_ha_backup.htm#OKVAG11203" },
 { "t": "About Backup Schedule Types and States", "h": "okv_ha_backup.htm#OKVAG10754" },
 { "t": "Scheduling and Managing Key Vault Backups", "h": "okv_ha_backup.htm#OKVAG10753" },
 { "t": "Restoring Oracle Key Vault Data", "h": "okv_ha_backup.htm#OKVAG10763" },
 { "t": "Backup and Restore Best Practices", "h": "okv_ha_backup.htm#OKVAG-GUID-E812B7E0-2CD7-4EE4-8768-19A5CECABA63" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852664663712", "t": "Managing Oracle Key Vault Users", "h": "okv_managing_users.htm#OKVAG10768", 
 "c": [{ "a": "OKVAGidm139852664661264", "t": "About Oracle Key Vault Users", "h": "okv_managing_users.htm#OKVAG10769", 
 "c": [ { "t": "Types of Oracle Key Vault Users", "h": "okv_managing_users.htm#OKVAG-GUID-27A37D40-0E93-4708-A83F-59E57C85920A" },
 { "t": "Create an Oracle Key Vault User", "h": "okv_managing_users.htm#OKVAG10555" },
 { "t": "Grant, Change or Revoke Administrative Roles", "h": "okv_managing_users.htm#OKVAG10770" },
 { "t": "Delete Oracle Key Vault User(s)", "h": "okv_managing_users.htm#OKVAG10557" },
 { "t": "View User Details", "h": "okv_managing_users.htm#OKVAG10771" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664636256", "t": "About Changing User Passwords", "h": "okv_managing_users.htm#OKVAG10779", 
 "c": [ { "t": "How User Password Changes Work", "h": "okv_managing_users.htm#OKVAG-GUID-16A461C3-1697-4611-843D-5D4C46DBF9CF" },
 { "t": "Change Your Own Password", "h": "okv_managing_users.htm#OKVAG11219" },
 { "t": "Reset Another User's Password", "h": "okv_managing_users.htm#OKVAG11221" },
 { }
 ]
 },
 { "t": "Grant a User Access to a Virtual Wallet", "h": "okv_managing_users.htm#OKVAG11226" },
{ "a": "OKVAGidm139852663943920", "t": "About User Email", "h": "okv_managing_users.htm#OKVAG11227", 
 "c": [ { "t": "Disable Email Notifications for a User", "h": "okv_managing_users.htm#OKVAG10774" },
 { "t": "Change User Email", "h": "okv_managing_users.htm#OKVAG10772" },
 { }
 ]
 },
{ "a": "OKVAGidm139852709381504", "t": "Manage User Groups", "h": "okv_managing_users.htm#OKVAG10610", 
 "c": [ { "t": "How User Groups Work", "h": "okv_managing_users.htm#OKVAG-GUID-6D113429-C8CF-471A-9C74-9DEC0ACF97E0" },
 { "t": "Create a User Group", "h": "okv_managing_users.htm#OKVAG10781" },
 { "t": "Add a User to a User Group", "h": "okv_managing_users.htm#OKVAG10783" },
 { "t": "Remove a User from a User Group", "h": "okv_managing_users.htm#OKVAG10784" },
 { "t": "Grant a User Group Access to a Virtual Wallet", "h": "okv_managing_users.htm#OKVAG11231" },
 { "t": "Modify User Group Description", "h": "okv_managing_users.htm#OKVAG10782" },
 { "t": "Delete a User Group", "h": "okv_managing_users.htm#OKVAG10785" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852664507472", "t": "Managing Oracle Key Vault Virtual Wallets and\u00A0Security Objects", "h": "okv_wallets_and_keys.htm#OKVAG10805", 
 "c": [{ "a": "OKVAGidm139852664504768", "t": "About Virtual Wallets", "h": "okv_wallets_and_keys.htm#OKVAG10806", 
 "c": [ { "t": "How Virtual Wallets Work", "h": "okv_wallets_and_keys.htm#OKVAG-GUID-BB6EB8AF-80D4-4D1E-9FB0-DE19BDE396ED" },
 { "t": "Create a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10808" },
 { "t": "Add Security Objects to a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10819" },
 { "t": "Remove Security Objects from a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG11233" },
 { "t": "Delete a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10829" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664488352", "t": "Manage Access to Virtual Wallets from Keys & Wallets Menu", "h": "okv_wallets_and_keys.htm#OKVAG10820", 
 "c": [ { "t": "How Access to Virtual Wallets from Keys & Wallets Menu Works", "h": "okv_wallets_and_keys.htm#OKVAG-GUID-82D9990F-85AF-4420-89C6-B31EC9892E0A" },
 { "t": "Grant Access to Endpoint Groups, Endpoints, User Groups, and Users", "h": "okv_wallets_and_keys.htm#OKVAG10821" },
 { "t": "Modify Access to Endpoint Groups, Endpoints, User Groups, and Users", "h": "okv_wallets_and_keys.htm#OKVAG10828" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664476992", "t": "Manage Access to Virtual Wallets from User\u2019s Menu", "h": "okv_wallets_and_keys.htm#OKVAG11235", 
 "c": [ { "t": "How Access to Virtual Wallets from User's Menu Works", "h": "okv_wallets_and_keys.htm#OKVAG-GUID-C20E702C-C7AC-41E6-B749-F6389D2B7DB2" },
 { "t": "Grant a User Access to a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10822" },
 { "t": "Revoke User Access from a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10824" },
 { "t": "Grant a User Group Access to a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10826" },
 { "t": "Revoke User Group Access from a Virtual Wallet", "h": "okv_wallets_and_keys.htm#OKVAG10827" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664453808", "t": "Manage State of a Security Object", "h": "okv_wallets_and_keys.htm#OKVAG10815", 
 "c": [ { "t": "Activate a Key or Security Object", "h": "okv_wallets_and_keys.htm#OKVAG11236" },
 { "t": "Deactivate a Key or Security Object", "h": "okv_wallets_and_keys.htm#OKVAG10817" },
 { "t": "Revoke a Key or Security Object", "h": "okv_wallets_and_keys.htm#OKVAG10818" },
 { "t": "Destroy a Key or Security Object", "h": "okv_wallets_and_keys.htm#OKVAG11238" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664440080", "t": "Manage Details of Security Objects", "h": "okv_wallets_and_keys.htm#OKVAG10809", 
 "c": [ { "t": "Search for Security Object Items", "h": "okv_wallets_and_keys.htm#OKVAG10810" },
 { "t": "View Details of a Security Object", "h": "okv_wallets_and_keys.htm#OKVAG10811" },
 { "t": "Add or Modify Details of a Security Object", "h": "okv_wallets_and_keys.htm#OKVAG11242" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852662895568", "t": "Managing Oracle Key Vault Endpoints", "h": "okv_manage_endpoints.htm#OKVAG10786", 
 "c": [ { "t": "About Managing Endpoints", "h": "okv_manage_endpoints.htm#OKVAG10787" },
{ "a": "OKVAGidm139852662890256", "t": "Managing Endpoints", "h": "okv_manage_endpoints.htm#OKVAG10533", 
 "c": [ { "t": "Types of Endpoint Enrollment", "h": "okv_manage_endpoints.htm#OKVAG10678" },
 { "t": "Add an Endpoint as a Key Vault System Administrator", "h": "okv_manage_endpoints.htm#OKVAG10789" },
 { "t": "Add an Endpoint Using Self-Enrollment", "h": "okv_manage_endpoints.htm#OKVAG10680" },
 { "t": "Configuring Endpoint Configuration Parameters", "h": "okv_manage_endpoints.htm#OKVAG-GUID-BA1A99BA-9BB3-456E-9744-B1196E31B9FE" },
 { "t": "Delete, Suspend or Reenroll Endpoints", "h": "okv_manage_endpoints.htm#OKVAG10532" },
 { }
 ]
 },
{ "a": "OKVAGidm139852662860128", "t": "Manage Endpoint Access to a Virtual Wallet", "h": "okv_manage_endpoints.htm#OKVAG10796", 
 "c": [ { "t": "Grant an Endpoint Access to a Virtual Wallet", "h": "okv_manage_endpoints.htm#OKVAG10797" },
 { "t": "Revoke Endpoint Access to a Virtual Wallet", "h": "okv_manage_endpoints.htm#OKVAG10798" },
 { "t": "View Wallet Items", "h": "okv_manage_endpoints.htm#OKVAG10952" },
 { }
 ]
 },
 { "t": "Associate a Default Wallet with an Endpoint", "h": "okv_manage_endpoints.htm#OKVAG10939" },
 { "t": "Set the Default Wallet for an Endpoint", "h": "okv_manage_endpoints.htm#OKVAG10946" },
{ "a": "OKVAGidm139852662843536", "t": "Manage Endpoint Groups", "h": "okv_manage_endpoints.htm#OKVAG10799", 
 "c": [ { "t": "Create an Endpoint Group", "h": "okv_manage_endpoints.htm#OKVAG10535" },
 { "t": "Modify Endpoint Group Details", "h": "okv_manage_endpoints.htm#OKVAG10537" },
 { "t": "Grant an Endpoint Group Access to a Virtual Wallet", "h": "okv_manage_endpoints.htm#OKVAG10802" },
 { "t": "Remove an Endpoint from an Endpoint Group", "h": "okv_manage_endpoints.htm#OKVAG10538" },
 { "t": "Delete Endpoint Groups", "h": "okv_manage_endpoints.htm#OKVAG10536" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664760368", "t": "Manage Endpoint Details", "h": "okv_manage_endpoints.htm#OKVAG10792", 
 "c": [ { "t": "About Endpoint Details", "h": "okv_manage_endpoints.htm#OKVAG10793" },
 { "t": "Modify Endpoint Details", "h": "okv_manage_endpoints.htm#OKVAG10794" },
 { "t": "Add an Endpoint to an Endpoint Group", "h": "okv_manage_endpoints.htm#OKVAG10795" },
 { "t": "Configuring Global Endpoint Configuration Parameters", "h": "okv_manage_endpoints.htm#OKVAG-GUID-1DF851F3-E9E4-4FC3-9D5B-10BA844DF2A9" },
 { "t": "Delete an Endpoint from an Endpoint Group", "h": "okv_manage_endpoints.htm#OKVAG11243" },
 { "t": "Upgrade Endpoint Software", "h": "okv_manage_endpoints.htm#OKVAG10944" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852664740992", "t": "Enrolling Endpoints for Oracle Key Vault", "h": "okv_endpoints.htm#OKVAG10559", 
 "c": [ { "t": "About Endpoints for Oracle Key Vault", "h": "okv_endpoints.htm#OKVAG10560" },
 { "t": "Overview of Endpoint Enrollment and Provisioning", "h": "okv_endpoints.htm#OKVAG10513" },
{ "a": "OKVAGidm139852664732880", "t": "Finalizing Enrollment and Provisioning", "h": "okv_endpoints.htm#OKVAG10612", 
 "c": [ { "t": "Task 1: Enroll Endpoint and Download Software", "h": "okv_endpoints.htm#OKVAG10830" },
 { "t": "Task 2: Install Oracle Key Vault Software on the Endpoint", "h": "okv_endpoints.htm#OKVAG10831" },
 { }
 ]
 },
 { "t": "Special Notes About Endpoint Provisioning", "h": "okv_endpoints.htm#OKVAG10832" },
 { "t": "Transparent Data Encryption Endpoint Management", "h": "okv_endpoints.htm#OKVAG10574" },
 { "t": "Endpoint okvclient.ora Configuration File", "h": "okv_endpoints.htm#OKVAG10563" },
{ "a": "OKVAGidm139852664716256", "t": "Oracle Key Vault okvutil Endpoint Utility Reference", "h": "okv_endpoints.htm#OKVAG10582", 
 "c": [ { "t": "About the okvutil Utility", "h": "okv_endpoints.htm#OKVAG10683" },
 { "t": "okvutil Command Syntax", "h": "okv_endpoints.htm#OKVAG10684" },
 { "t": "okvutil upload Command", "h": "okv_endpoints.htm#OKVAG10689" },
 { "t": "okvutil list Command", "h": "okv_endpoints.htm#OKVAG10687" },
 { "t": "okvutil download Command", "h": "okv_endpoints.htm#OKVAG10691" },
 { "t": "okvutil changepwd Command", "h": "okv_endpoints.htm#OKVAG10907" },
 { "t": "okvutil diagnostics Command", "h": "okv_endpoints.htm#OKVAG11247" },
 { }
 ]
 },
 { "t": "Upgrading Endpoint Software on an Enrolled Endpoint", "h": "okv_endpoints.htm#OKVAG11113" },
 { }
 ]
 },
{ "a": "OKVAGidm139852691053856", "t": "Oracle Cloud Database as a Service Endpoints", "h": "okv_dbcs.htm#OKVAG-GUID-B8EEB679-C786-4AE9-B7B1-EB074EA02525", 
 "c": [ { "t": "About Managing Database as a Service Endpoints", "h": "okv_dbcs.htm#OKVAG-GUID-106D6F27-45EC-4C65-BF24-EF0B0145E5AC" },
{ "a": "OKVAGidm139852691048416", "t": "Preparing a Database as a Service Instance to be an Oracle Key Vault Endpoint", "h": "okv_dbcs.htm#OKVAG-GUID-C44D8E50-F1E3-4EEC-955F-0DAC2B3DE80C", 
 "c": [ { "t": "Setup a Database Cloud Service Instance", "h": "okv_dbcs.htm#OKVAG-GUID-1C6AD90B-938F-461A-B5A3-AB27E8D728E5" },
 { "t": "Create Low Privileged Operating System User on Database as a Service", "h": "okv_dbcs.htm#OKVAG-GUID-9AF73CB4-9970-47E5-BFB4-25A33BE2BD9E" },
 { }
 ]
 },
 { "t": "Set up an SSH Tunnel between Key Vault and Database as a Service Instance", "h": "okv_dbcs.htm#OKVAG-GUID-1AE3B933-197C-43BB-95DA-DEE12190915C" },
 { "t": "Manageability of SSH Tunnel", "h": "okv_dbcs.htm#OKVAG-GUID-4168FA29-0F1D-4D6E-BA63-927057668104" },
 { "t": "Register and Enroll Database as a Service Instance as Key Vault Endpoint", "h": "okv_dbcs.htm#OKVAG-GUID-76DB09DD-DA87-4466-963B-AA70D061D3BE" },
 { "t": "Suspend a Database Cloud Service's Access to Oracle Key Vault", "h": "okv_dbcs.htm#OKVAG-GUID-052AC171-188A-4E11-B8BB-32B7AD539890" },
 { "t": "Resume a Database Cloud Service's Access to Oracle Key Vault", "h": "okv_dbcs.htm#OKVAG-GUID-B203FC2F-E2E4-446C-85C7-6370A0FDEE3B" },
 { "t": "Resuming a Database Endpoint Configured with a Password-based Keystore", "h": "okv_dbcs.htm#OKVAG-GUID-4EEF6034-CC61-4982-9079-0B03C2D71F22" },
 { }
 ]
 },
{ "a": "OKVAGidm139852691022624", "t": "Endpoint Enrollment Automation with RESTful Services", "h": "restful_services.htm#OKVAG10957", 
 "c": [ { "t": "About RESTful Services", "h": "restful_services.htm#OKVAG10958" },
{ "a": "OKVAGidm139852691017312", "t": "Enable RESTful Services", "h": "restful_services.htm#OKVAG10959", 
 "c": [ { "t": "Step 1: Enable Network Services", "h": "restful_services.htm#OKVAG11253" },
 { "t": "Step 2: Enable RESTful Services", "h": "restful_services.htm#OKVAG10960" },
 { "t": "Step 3: Download the RESTful Software Utility", "h": "restful_services.htm#OKVAG11254" },
 { }
 ]
 },
 { "t": "Creating the RESTful Services Configuration File", "h": "restful_services.htm#OKVAG10961" },
 { "t": "Examples of Configuration Files", "h": "restful_services.htm#OKVAG10962" },
 { "t": "Executing a Single RESTful Command", "h": "restful_services.htm#OKVAG10965" },
 { "t": "Executing Multiple RESTful Commands Using a Script", "h": "restful_services.htm#OKVAG10966" },
 { "t": "Script Creation Guidelines", "h": "restful_services.htm#OKVAG10967" },
 { "t": "Disable RESTful Services", "h": "restful_services.htm#OKVAG11256" },
{ "a": "OKVAGidm139852690989968", "t": "RESTful Services Command Reference", "h": "restful_services.htm#OKVAG10968", 
 "c": [ { "t": "RESTful Services Command Syntax", "h": "restful_services.htm#OKVAG10969" },
 { "t": "RESTful Services Wallet Command Syntax", "h": "restful_services.htm#OKVAG10973" },
 { "t": "Commands to Add and Enroll Endpoints", "h": "restful_services.htm#OKVAG11263" },
 { "t": "Modify Endpoint Details Commands", "h": "restful_services.htm#OKVAG11264" },
 { "t": "Endpoint Group Commands", "h": "restful_services.htm#OKVAG10976" },
 { "t": "Virtual Wallet Commands", "h": "restful_services.htm#OKVAG11037" },
 { "t": "Error Reporting", "h": "restful_services.htm#OKVAG11109" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852664551248", "t": "Oracle Key Vault Use Case Scenarios", "h": "okv_scenarios.htm#OKVAG10693", 
 "c": [{ "a": "OKVAGidm139852664548672", "t": "Uploading and Downloading Oracle Wallets", "h": "okv_scenarios.htm#OKVAG10699", 
 "c": [ { "t": "About Uploading and Downloading Oracle Wallets", "h": "okv_scenarios.htm#OKVAG10700" },
 { "t": "Uploading Oracle Wallets", "h": "okv_scenarios.htm#OKVAG10702" },
 { "t": "Downloading Oracle Wallets", "h": "okv_scenarios.htm#OKVAG10703" },
 { "t": "Recommendations for Uploading and Downloading Oracle Wallets", "h": "okv_scenarios.htm#OKVAG10701" },
 { }
 ]
 },
{ "a": "OKVAGidm139852664534912", "t": "Uploading and Downloading JKS and JCEKS Keystores", "h": "okv_scenarios.htm#OKVAG10855", 
 "c": [ { "t": "About Uploading and Downloading JKS and JCEKS Keystores", "h": "okv_scenarios.htm#OKVAG10856" },
 { "t": "Uploading JKS or JCEKS Keystores", "h": "okv_scenarios.htm#OKVAG10857" },
 { "t": "Downloading JKS or JCEKS Keystores", "h": "okv_scenarios.htm#OKVAG10858" },
 { "t": "Recommendations for Uploading and Downloading JKS and JCEKS Keystores", "h": "okv_scenarios.htm#OKVAG10859" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693422992", "t": "Uploading and Downloading Credential Files", "h": "okv_scenarios.htm#OKVAG10694", 
 "c": [ { "t": "About Uploading and Downloading Credential Files", "h": "okv_scenarios.htm#OKVAG10695" },
 { "t": "Uploading a Credential File", "h": "okv_scenarios.htm#OKVAG10697" },
 { "t": "Downloading a Credential File", "h": "okv_scenarios.htm#OKVAG10698" },
 { "t": "Recommendations for Uploading and Downloading Credential Files", "h": "okv_scenarios.htm#OKVAG10696" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693409200", "t": "Using an Online Master Key with Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG10564", 
 "c": [ { "t": "About Using an Online Master Key with Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG10706" },
 { "t": "Other Oracle Database Features That Oracle Key Vault Supports", "h": "okv_scenarios.htm#OKVAG10860" },
 { "t": "Configuring a Connection Between Oracle Key Vault and a New TDE-Enabled Database", "h": "okv_scenarios.htm#OKVAG10565" },
 { "t": "Migrating Existing TDE Wallets to Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG10566" },
 { "t": "Persistent Master Key Cache", "h": "okv_scenarios.htm#OKVAG-GUID-27DA6A5A-E405-4394-BD0D-C2B213391426" },
 { "t": "Minimizing Downtime", "h": "okv_scenarios.htm#OKVAG-GUID-7FE108A2-99C8-4D87-8946-9611C5DEF131" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693344976", "t": "Using an User-Defined Key as the TDE Master Encryption Key", "h": "okv_scenarios.htm#OKVAG-GUID-1A1A1FD9-87FB-4CFB-850A-6547098F5F4C", 
 "c": [ { "t": "How Using a User-Defined Key as the TDE Master Encryption Key Works", "h": "okv_scenarios.htm#OKVAG-GUID-0D8FE339-46A1-4E1F-BB4A-D85B3EF23481" },
 { "t": "Uploading the User-Defined Key", "h": "okv_scenarios.htm#OKVAG-GUID-2B6360E4-48FB-4797-98F8-5A46B2609A9D" },
 { "t": "Activating the User-Defined Key as a TDE Master Encryption Key", "h": "okv_scenarios.htm#OKVAG-GUID-78368F67-F856-4D03-995F-76D4A5232A27" },
 { }
 ]
 },
 { "t": "Using a TDE-Configured Oracle Database in an Oracle RAC Environment", "h": "okv_scenarios.htm#OKVAG10704" },
{ "a": "OKVAGidm139852693330832", "t": "Using a TDE-Configured Oracle Database in an Oracle GoldenGate Environment", "h": "okv_scenarios.htm#OKVAG10845", 
 "c": [ { "t": "About Uploading Oracle Wallets in an Oracle GoldenGate Environment", "h": "okv_scenarios.htm#OKVAG10846" },
 { "t": "Using an Online Master Key in an Oracle GoldenGate Deployment", "h": "okv_scenarios.htm#OKVAG10847" },
 { "t": "Migrating TDE Wallets on an Oracle GoldenGate Deployment to Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG10848" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693319456", "t": "Using a TDE-Configured Oracle Database in an Oracle Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10849", 
 "c": [ { "t": "About Uploading Oracle Wallets in an Oracle Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10850" },
 { "t": "Uploading Oracle Wallets in an Oracle Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10851" },
 { "t": "Performing an Online Master Key Connection in an Oracle Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10852" },
 { "t": "Migrating Oracle Wallets in an Oracle Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10853" },
 { "t": "Reverse Migrating Oracle Wallets in an Active Data Guard Environment", "h": "okv_scenarios.htm#OKVAG10854" },
 { "t": "Migrating an Oracle TDE Wallet to Oracle Key Vault for a Logical Standby Database", "h": "okv_scenarios.htm#OKVAG11131" },
 { "t": "Checking the Oracle TDE Wallet Migration for a Logical Standby Database", "h": "okv_scenarios.htm#OKVAG11132" },
 { }
 ]
 },
 { "t": "MySQL Integration with Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG-GUID-FB2BA586-6D04-48EF-AA91-37218630ABEA" },
 { "t": "Upload a Keystore from Automatic Storage Management to Oracle Key Vault", "h": "okv_scenarios.htm#OKVAG-GUID-074244D9-5555-4A26-B892-D310112E655E" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693034944", "t": "General Oracle Key Vault Management", "h": "okv_appliance.htm#OKVAG10511", 
 "c": [ { "t": "About General Oracle Key Vault Management", "h": "okv_appliance.htm#OKVAG10864" },
{ "a": "OKVAGidm139852693029600", "t": "Remote Monitoring Using SNMP", "h": "okv_appliance.htm#OKVAG11133", 
 "c": [ { "t": "About Using SNMP for Oracle Key Vault", "h": "okv_appliance.htm#OKVAG11134" },
 { "t": "Configuring SNMP Access for Oracle Key Vault", "h": "okv_appliance.htm#OKVAG11135" },
 { "t": "Monitoring Oracle Key Vault Database Instances", "h": "okv_appliance.htm#OKVAG11138" },
 { "t": "SNMP Management Information Base Variables for Oracle Key Vault", "h": "okv_appliance.htm#OKVAG11139" },
 { }
 ]
 },
{ "a": "OKVAGidm139852693007568", "t": "Email Notification", "h": "okv_appliance.htm#OKVAG11141", 
 "c": [ { "t": "About Email Notification", "h": "okv_appliance.htm#OKVAG11142" },
 { "t": "Configure Email Settings", "h": "okv_appliance.htm#OKVAG11143" },
 { "t": "Test the Email Configuration", "h": "okv_appliance.htm#OKVAG11145" },
 { "t": "Disable Email Notifications for a User", "h": "okv_appliance.htm#OKVAG11146" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692994016", "t": "Oracle Key Vault System Administration", "h": "okv_appliance.htm#OKVAG10883", 
 "c": [ { "t": "Configure System Settings", "h": "okv_appliance.htm#OKVAG10885" },
 { "t": "System Recovery", "h": "okv_appliance.htm#OKVAG10893" },
 { "t": "Download System Diagnostics", "h": "okv_appliance.htm#OKVAG11167" },
 { "t": "View the Oracle Key Vault Dashboard", "h": "okv_appliance.htm#OKVAG10526" },
 { "t": "Status Panes in the Dashboard", "h": "okv_appliance.htm#OKVAG10909" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692969456", "t": "Oracle Key Vault Alert Configuration", "h": "okv_appliance.htm#OKVAG10865", 
 "c": [ { "t": "About Configuring Alerts", "h": "okv_appliance.htm#OKVAG10866" },
 { "t": "Configuring Alerts", "h": "okv_appliance.htm#OKVAG10867" },
 { "t": "Viewing Open Alerts", "h": "okv_appliance.htm#OKVAG10868" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692958640", "t": "Oracle Key Vault Auditing", "h": "okv_appliance.htm#OKVAG10869", 
 "c": [ { "t": "About Auditing in Oracle Key Vault", "h": "okv_appliance.htm#OKVAG10870" },
 { "t": "Configuring Syslog to Store Audit Records", "h": "okv_appliance.htm#OKVAG-GUID-FFC820E3-2F7D-48B7-AD4F-C56D7AAEE0DB" },
 { "t": "View Audit Records", "h": "okv_appliance.htm#OKVAG11149" },
 { "t": "Export or Delete Audit Records", "h": "okv_appliance.htm#OKVAG11151" },
 { "t": "Audit Consolidation with Audit Vault and Database Firewall", "h": "okv_appliance.htm#OKVAG11153" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692942160", "t": "Oracle Key Vault Reports", "h": "okv_appliance.htm#OKVAG10872", 
 "c": [ { "t": "About Oracle Key Vault Reports", "h": "okv_appliance.htm#OKVAG10873" },
 { "t": "View Reports for Endpoint, User, Keys and Wallets, and System", "h": "okv_appliance.htm#OKVAG10875" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692923136", "t": "Upgrade Oracle Key Vault Server Software", "h": "okv_appliance.htm#OKVAG11174", 
 "c": [ { "t": "How an Oracle Key Vault Server Software Upgrade Works", "h": "okv_appliance.htm#OKVAG-GUID-009B8273-F125-4053-8D45-FED436C58B15" },
 { "t": "Step 1: Backup the Server before Upgrade", "h": "okv_appliance.htm#OKVAG11281" },
 { "t": "Step 2: Pre-Upgrade Tasks for Release 12.2.0.0.0", "h": "okv_appliance.htm#OKVAG11282" },
 { "t": "Step 3: Upgrade the Oracle Key Vault Server or Server Pair", "h": "okv_appliance.htm#OKVAG11283" },
 { "t": "Step 4: Upgrade Endpoint Software", "h": "okv_appliance.htm#OKVAG11286" },
 { "t": "Step 5: Backup Just Upgraded Server", "h": "okv_appliance.htm#OKVAG11287" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852692895184", "t": "Managing Certificates", "h": "managing_certificates.htm#OKVAG-GUID-F145A2F2-F417-48DE-9F24-55CFFC252998", 
 "c": [{ "a": "OKVAGidm139852692892608", "t": "Rotating Certificates", "h": "managing_certificates.htm#OKVAG-GUID-388AF49B-35BC-48E3-AAD8-E05F90E4AFF1", 
 "c": [ { "t": "About Rotating Certificates", "h": "managing_certificates.htm#OKVAG-GUID-711ECC6E-1D5E-47D4-B0C7-B9CAE8C2C58A" },
 { "t": "Rotating All Certificates", "h": "managing_certificates.htm#OKVAG-GUID-7D8FA552-2CAF-412A-9D66-409EA2428D58" },
 { "t": "Checking the Certificate Rotation Status", "h": "managing_certificates.htm#OKVAG-GUID-E1C14658-C9F0-45FB-BF44-9E4AABA566E4" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692881536", "t": "Third Party Certificates", "h": "managing_certificates.htm#OKVAG11169", 
 "c": [ { "t": "Download Certificate Request", "h": "managing_certificates.htm#OKVAG11170" },
 { "t": "Getting Certificate Signed", "h": "managing_certificates.htm#OKVAG11172" },
 { "t": "Upload Signed Certificate to Oracle Key Vault", "h": "managing_certificates.htm#OKVAG11173" },
 { "t": "Notes on Using Third-Party Certificates", "h": "managing_certificates.htm#OKVAG11277" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852692867632", "t": "Installing and Configuring Oracle Key Vault 12.2.0.4.0 and Earlier", "h": "GUID-B09FA195-E265-4740-9F58-0CC482DA6E46.htm#OKVAG-GUID-B09FA195-E265-4740-9F58-0CC482DA6E46", 
 "c": [ { "t": "Downloading the Oracle Key Vault Appliance Software", "h": "GUID-B09FA195-E265-4740-9F58-0CC482DA6E46.htm#OKVAG-GUID-B86FD75E-B97B-4466-9F65-5209872ECFEA" },
 { "t": "Installing the Oracle Key Vault Appliance Software", "h": "GUID-B09FA195-E265-4740-9F58-0CC482DA6E46.htm#OKVAG-GUID-B92DE62B-2AB5-4A2D-BBA9-2844FBA2228E" },
 { "t": "Performing Post-Installation Tasks", "h": "GUID-B09FA195-E265-4740-9F58-0CC482DA6E46.htm#OKVAG-GUID-11B742A8-1B48-4EB1-B472-8A371B928E79" },
 { }
 ]
 },
{ "a": "OKVAGidm139852692856240", "t": "Troubleshooting Oracle Key Vault", "h": "okv_troubleshooting.htm#OKVAG10914", 
 "c": [ { "t": "Key Vault Pre-Installation Checklist", "h": "okv_troubleshooting.htm#OKVAG11175" },
 { "t": "Audit Vault Database Firewall Integration Instructions", "h": "okv_troubleshooting.htm#OKVAG11288" },
 { "t": "RESTful Services Troubleshooting Help", "h": "okv_troubleshooting.htm#OKVAG10915" },
 { "t": "Error: Cannot Open Keystore Message", "h": "okv_troubleshooting.htm#OKVAG10916" },
 { "t": "KMIP Error: Invalid Field", "h": "okv_troubleshooting.htm#OKVAG10917" },
 { "t": "WARNING: Could Not Store Private Key Errors", "h": "okv_troubleshooting.htm#OKVAG10918" },
 { "t": "Errors After Upgrading Oracle Key Vault", "h": "okv_troubleshooting.htm#OKVAG11177" },
 { "t": "Error: Failed to Open Wallet", "h": "okv_troubleshooting.htm#OKVAG11178" },
 { "t": "Error: Provision Command Fails if /usr/bin/java does not Exist", "h": "okv_troubleshooting.htm#OKVAG11289" },
 { "t": "Transaction Check Error: Diagnostics Generation Utility", "h": "okv_troubleshooting.htm#OKVAG-GUID-0B6E36A9-729E-4FAC-9F60-D7AB5F24B0E8" },
 { "t": "Fast-Start Failover (FSFO) Suspended (ORA-16818)", "h": "okv_troubleshooting.htm#OKVAG-GUID-1B855A0F-4647-4373-8373-D2B2E07D59D0" },
 { "t": "SSH Tunnel Add Failure", "h": "okv_troubleshooting.htm#OKVAG-GUID-051B4C6A-26A4-4EC3-AAC4-A12BC933A276" },
 { "t": "TDE Endpoint Integration Issues", "h": "okv_troubleshooting.htm#OKVAG-GUID-CF0D68DB-F3CD-45E9-B161-B5C8803D5F6A" },
{ "a": "OKVAGidm139852692817840", "t": "Failover Situations in High Availability Mode", "h": "okv_troubleshooting.htm#OKVAG-GUID-03288C8B-9B38-427E-8419-DC7ADE0D82E2", 
 "c": [ { "t": "Types of Failover Situations", "h": "okv_troubleshooting.htm#OKVAG-GUID-A8CDD518-AFB5-4144-A2C6-E527EB464A30" },
 { "t": "Failover Situations without Read-Only Restricted Mode", "h": "okv_troubleshooting.htm#OKVAG-GUID-4E59A763-1DC6-46F2-A83C-3EC2082FB8B1" },
 { "t": "Failover Situations with Read-Only Restricted Mode", "h": "okv_troubleshooting.htm#OKVAG-GUID-C6751117-EFA5-4AD7-9089-0E38D10AC20C" },
 { "t": "Performing a Planned Shutdown", "h": "okv_troubleshooting.htm#OKVAG-GUID-B0EA6B5C-EC44-4167-B527-F2463C5BD436" },
 { }
 ]
 },
 { }
 ]
 },
{ "a": "OKVAGidm139852692786848", "t": "Security Technical Implementation Guides Compliance Standards", "h": "stig.htm#OKVAG11290", 
 "c": [ { "t": "About Security Technical Implementation Guides", "h": "stig.htm#OKVAG11293" },
{ "a": "OKVAGidm139852692781424", "t": "Enabling and Disabling STIG Rules on Oracle Key Vault", "h": "stig.htm#OKVAG11294", 
 "c": [ { "t": "Enabling STIG Rules on Oracle Key Vault", "h": "stig.htm#OKVAG11295" },
 { "t": "Disabling STIG Rules on Oracle Key Vault", "h": "stig.htm#OKVAG11296" },
 { }
 ]
 },
 { "t": "Current Implementation of STIG Rules on Oracle Key Vault", "h": "stig.htm#OKVAG11297" },
 { "t": "Current Implementation of Database STIG Rules", "h": "stig.htm#OKVAG11299" },
{ "a": "OKVAGidm139852692767568", "t": "Additional Notes", "h": "stig.htm#OKVAG11301", 
 "c": [ { "t": "DG0008-ORACLE11 STIG Rule", "h": "stig.htm#OKVAG11302" },
 { }
 ]
 },
 { "t": "Current Implementation of Operating System STIG Rules", "h": "stig.htm#OKVAG11303" },
 { }
 ]
 },
 { "t": "Prerequisites for Endpoint Installation on AIX 5.3", "h": "GUID-DC484E95-E6BE-40DD-BDA6-6C61F0898877.htm#OKVAG-GUID-DC484E95-E6BE-40DD-BDA6-6C61F0898877" },
 { "t": "Glossary", "h": "glossary.htm#OKVAG10584" },
 { "t": "Index", "h": "index.htm" },
  { }
 ] } ]};